# Trainer Task

These operations are needed to create and update trainer tasks.

## Retrieve task details

 - [GET /api/v2/tasks/{taskId}](https://developer.egym.com/mms-api-v2/apis/mms-v2/trainer-task/gettask.md): This endpoint returns the details of a specific trainer task.

## Update a task

 - [PUT /api/v2/tasks/{taskId}](https://developer.egym.com/mms-api-v2/apis/mms-v2/trainer-task/updatetask.md): This endpoint updates trainer task in a gym.

## Retrieve all tasks

 - [GET /api/v2/tasks](https://developer.egym.com/mms-api-v2/apis/mms-v2/trainer-task/gettasks.md): This endpoint returns a list of trainer tasks that are available in the gym. Can be filtered by modified date time.

## Create a task

 - [POST /api/v2/tasks](https://developer.egym.com/mms-api-v2/apis/mms-v2/trainer-task/createtask.md): This endpoint create trainer task in a gym. The trainer task is active until it is completed.

